
Figure - Bug #115098
【Figure】【EVT2】【MCU】断开KL15休眠后,KL15再上电又立即断开会进入不了休眠
2023-01-05 16:57 - SZ HW Test-曾小文

Status: CLOSED Start date: 2023-01-05

Priority: High Due date:

Assignee: SZ HW Test-曾小文 % Done: 100%

Category: 依赖软件规避的bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 2022.10.24

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: 开机时序异常引起的

Description

中认联测试静态电流：常温，断开KL15休眠后（电流低于0.3mA）,KL15再上电又立即断开会进入不了休眠（电流20mA,不会降低

至0.3mA）

History

#1 - 2023-01-11 10:33 - CD BSP-陈杰

- Assignee changed from CD BSP-陈杰 to SZ-硬件二组_SD3 王苗

这个bug的mot文件已经给到硬件，麻烦复现后，使用这个mot文件测试，看会不会存在问题

#2 - 2023-01-11 13:24 - SZ-硬件二组_SD3 王苗

- Status changed from New to NEED_INFO

我这边在EMC实验室，之前办公室没有复现出问题。找硬测跟中认TCL那边确认下复现方法，或者找到那个做电气性能的样机，复现问题。继续验证。

#3 - 2023-01-12 17:23 - IOT-SP-TEST 刘颖

- Assignee changed from SZ-硬件二组_SD3 王苗 to SZ HW Test-曾小文

小文，请更新今天的验证结果，谢谢

#4 - 2023-01-12 17:52 - SZ HW Test-曾小文

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from SZ HW Test-曾小文 to CD BSP-陈杰

#5 - 2023-01-12 21:18 - CD BSP-陈杰

- File FigureV0.0.8.mot added

- Assignee changed from CD BSP-陈杰 to SZ HW Test-曾小文

麻烦使用我附上的文件重新测试一下，谢谢
#6 - 2023-01-13 14:29 - CD BSP-陈杰

- % Done changed from 0 to 100

- Root cause set to 开机时序异常引起的

https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/176363

#7 - 2023-01-13 15:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

176363 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: Fixed an issue where quiescent current could not drop.Reason: Since the boot has not been completed, KL15 arrives early, resulting in no response to KL15,

and the device will not go to sleep. Added exception handling logic when boot is not completed.Bin version: V0.0.8TC-RID: 1201-0102704IssueID:

TS-R-BUG-115098Change-Id: Ic64e82d427de71cdf3f4878ed1cfed9dbe73875f

#8 - 2023-01-13 15:36 - SZ HW Test-曾小文

- Status changed from ASSIGNED to RESOLVED

陈杰修改MCU后复测PASS

#9 - 2023-01-13 15:37 - SZ HW Test-曾小文

- Status changed from RESOLVED to VERIFIED

#10 - 2023-01-13 15:58 - SZ HW Test-曾小文

- Status changed from VERIFIED to CLOSED

Files

FigureV0.0.8.mot 299 KB 2023-01-12 CD BSP-陈杰
